Auction/Areas/Administrator/Controllers/RolesController.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;
using Auction.BusinessLogicLayer.Identity;
using Auction.BusinessLogicLayer.Interfaces;
using Auction.DataAccessLayer.Entities.Identity;
using Auction.Models;
using Auction.ViewModels.Identity;
using Microsoft.AspNet.Identity;
using Microsoft.AspNet.Identity.Owin;

namespace Auction.Areas.Administrator.Controllers
{
    [Authorize(Roles = "Administrators")]
    public class RolesController : Controller
    {
        private IUnitOfWorkIdentity repository;
        public RolesController(IUnitOfWorkIdentity unitOfWork)
        {
            repository = unitOfWork;
        }
        // GET: Administrator/Roles
        public ActionResult Index()
        {
            var result = repository.Roles.GetAll();
            return View(result);
        }

        [HttpPost]
        public async Task<ActionResult> Delete(string id)
        {
            bool result = await repository.Roles.Delete(id);
            if (result == true)
            {
                return RedirectToAction("Index");
            }
            else
            {
                return View("Error", new string[] { "Role not found" });
            }
        }

        public ActionResult Create()
        {
            return View();
        }

        [HttpPost]
        public async Task<ActionResult> Create([Required] string name)
        {
            if (ModelState.IsValid)
            {
                ApplicationRole role = new ApplicationRole(name);
                bool result = await repository.Roles.Create(role);
                if (result==true)
                {
                    return RedirectToAction("Index");
                }
                else
                {
                    return View("Error", new string[] { "Role not created" });
                }
            }
            return View(name);
        }

        public async Task<ActionResult> Edit(string id)
        {
            ApplicationRole role = await repository.Roles.Get(id);
            var membersIDs = role.Users.Select(x => x.UserId).ToArray();
            IEnumerable<ApplicationUser> members = repository.Users.Find(x => membersIDs.Any(y => y == x.Id));
            IEnumerable<ApplicationUser> nonMembers = repository.Users.GetAll().Except(members);
            return View(new RoleEditModel
            {
                Role = role,
                Members = members,
                NonMembers = nonMembers
            });
        }

        [HttpPost]
        public async Task<ActionResult> Edit(RoleModificationModel model)
        {
            IdentityResult result;
            if (ModelState.IsValid)
            {
                foreach (string userId in model.IdsToAdd ?? new string[] { })
                {
                    result = await repository.Roles.UserManager.AddToRoleAsync(userId, model.RoleName);

                    if (!result.Succeeded)
                    {
                        return View("Error", result.Errors);
                    }
                }
                foreach (string userId in model.IdsToDelete ?? new string[] { })
                {
                    result = await repository.Roles.UserManager.RemoveFromRoleAsync(userId,
                        model.RoleName);

                    if (!result.Succeeded)
                    {
                        return View("Error", result.Errors);
                    }
                }
                return RedirectToAction("Index");

            }
            return View("Error", new string[] { "Role not found" });
        }

        private void AddErrorsFromResult(IdentityResult result)
        {
            foreach (string error in result.Errors)
            {
                ModelState.AddModelError("", error);
            }
        }
    }
}

Auction/Areas/Manager/Controllers/CategoryController.cs
using System.Linq;
using System.Web.Mvc;
using Auction.BusinessLogicLayer.Interfaces;
using Auction.DataAccessLayer.Entities.Shop;
using Auction.ViewModels.Auction;

namespace Auction.Areas.Manager.Controllers
{
    [Authorize(Roles = "Administrators, Managers")]
    public class CategoryController : Controller
    {
        private readonly IUnitOfWorkAuction _repository;
        public CategoryController(IUnitOfWorkAuction unitOfWork)
        {
            _repository = unitOfWork;
        }
        public ActionResult Index()
        {
            var result = _repository.Categories.GetAll().ToList();
            return View(result);
        }

        public ActionResult Create()
        {
            return View();
        }
        [HttpPost]
        public ActionResult Create(CreateCategoryViewModel model)
        {
            if (ModelState.IsValid)
            {
                Category category = new Category
                {
                    Name = model.Name, Description = model.Description, ShortDescription = model.ShortDescription
                };
                var result = _repository.Categories.AddCategory(category, model.File);
                if (result)
                {
                    return RedirectToAction("Index");
                }
            }
            return View(model);
        }
        [HttpGet]
        public ActionResult Edit(int categoryId)
        {
            var category = _repository.Categories.GetById(categoryId);
            if (category!=null)
            {
                ViewBag.Category = category;
                return View();
            }
            return RedirectToAction("Index");
        }
        [HttpPost]
        public ActionResult Edit(EditCategoryViewModel model)
        {
            var category = _repository.Categories.GetById(model.Id);
            ViewBag.Category = category;
            if (ModelState.IsValid)
            {
                var current = new Category
                {
                    Name = model.Name, Description = model.Description, ShortDescription = model.ShortDescription
                };
                if (model.File==null)
                {
                    current.ImageUrl = model.ImageUrl;
                    _repository.Categories.EditCategory(model.Id, current);
                }
                else
                {
                    current.ImageUrl = _repository.Categories.WriteImage(model.File, model.Name);
                    _repository.Categories.EditCategory(model.Id, current);
                }
                return RedirectToAction("Index");
            }
            return View(model);
        }
        
        public ActionResult Delete(int categoryId)
        {
            var result = _repository.Categories.RemoveById(categoryId);
            if (result)
            {
                return RedirectToAction("Index");
            }

            return HttpNotFound();
        }
    }
}

Auction/Areas/Administrator/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/adminCss")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
<section class="content-wrapper">
    <section class="content-without-footer">
        <header>
            <div class="navigation-wrapper">
                <div class="home-button">
                    <a href="@Url.Action("Index", "Home", new {area = ""})">
                        <img src="@Url.Content("~/DataHelpers/SVG/home.svg")" alt="home" />
                        <p class="align-p">Return to main site</p>
                    </a>
                </div>
                <div class="users-button">
                    <a href="@Url.Action("Index", "Users")">
                        <img src="@Url.Content("~/DataHelpers/SVG/usercolor.svg")" alt="users" />
                        <p class="align-p">Users</p>
                    </a>
                </div>
                <div class="roles-button">
                    <a href="@Url.Action("Index", "Roles")">
                        <img src="@Url.Content("~/DataHelpers/SVG/rolecolor.svg")" alt="roles" />
                        <p class="align-p">Roles</p>
                    </a>
                </div>

                <div class="shop-button">
                    <a href="@Url.Action("Index", "Category", new{area="Manager"})">
                        <img src="@Url.Content("~/DataHelpers/SVG/categories.svg")" alt="shop" />
                        <p class="align-p">Shop</p>
                    </a>
                </div>
            </div>
        </header>
        <section class="main-content">
            @RenderBody()
        </section>
    </section>
    <footer>
        footer
    </footer>
</section>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>